Bug 982011 - Thinkfan packaging broken (man page, conf file)
Thinkfan packaging broken (man page, conf file)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: thinkfan (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matt Spaulding
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-07 14:00 EDT by Jan Pazdziora
Modified: 2013-07-18 01:50 EDT (History)
1 user (show)

See Also:
Fixed In Version: thinkfan-0.8.1-3.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-18 01:45:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2013-07-07 14:00:59 EDT
Description of problem:

The thinkfan package has empty man page. Also, it ships a thinkfan.conf file but in different directory than where the program tries to find it.

Version-Release number of selected component (if applicable):

thinkfan-0.8.1-2.fc18.i686

How reproducible:

Deterministic.

Steps to Reproduce:
1. Install thinkfan: yum install -y thinkfan
2. Attempt to start the service: service thinkfan start
3. Try to read man page to see what you did wrong: man thinkfan

Actual results:

Package installed OK.
# service thinkfan start
Redirecting to /bin/systemctl start  thinkfan.service
Job for thinkfan.service failed. See 'systemctl status thinkfan.service' and 'journalctl -xn' for details.

# journalctl -xn
-- Logs begin at Tue 2013-07-02 17:06:11 CEST, end at Sun 2013-07-07 19:45:04 CEST. --
Jul 07 19:44:22 machine.example.com dbus-daemon[629]: dbus[629]: [system] Successfully activated service 'org.freedesktop.PackageKit'
Jul 07 19:44:22 machine.example.com dbus[629]: [system] Successfully activated service 'org.freedesktop.PackageKit'
Jul 07 19:44:58 machine.example.com systemd[1]: Reloading.
Jul 07 19:45:04 machine.example.com systemd[1]: Starting simple and lightweight fan control program...
-- Subject: Unit thinkfan.service has begun with start-up
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Unit thinkfan.service has begun starting up.
Jul 07 19:45:04 machine.example.com thinkfan[12854]: thinkfan 0.8 starting...
Jul 07 19:45:04 machine.example.com thinkfan[12854]: /etc/thinkfan.conf: No such file or directory
Jul 07 19:45:04 machine.example.com thinkfan[12854]: Refusing to run without usable config file!
Jul 07 19:45:04 machine.example.com systemd[1]: thinkfan.service: control process exited, code=exited status=4
Jul 07 19:45:04 machine.example.com systemd[1]: Failed to start simple and lightweight fan control program.
-- Subject: Unit thinkfan.service has failed
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- Documentation: http://www.freedesktop.org/wiki/Software/systemd/catalog/be02cf6855d2428ba40df7e9d022f03d
-- 
-- Unit thinkfan.service has failed.
-- 
-- The result is failed.
Jul 07 19:45:04 machine.example.com systemd[1]: Unit thinkfan.service entered failed state.

# man thinkfan
Manual page thinkfan(1) line ?/? (END) (press h for help or q to quit)

Expected results:

Installs OK and service starts out of box.

Additional info:

Running rpm -ql thinkfan reveals the thinkfan.conf is in /etc/thinkfan, not in /etc where the program tries to use it.

Symlinking fixes the problem but I believe either the location or the path in the code should be fixed.

Also
# ls -la /usr/share/man/man1/thinkfan.1.gz
-rw-r--r--. 1 root root 20 Oct  3  2012 /usr/share/man/man1/thinkfan.1.gz
# zcat /usr/share/man/man1/thinkfan.1.gz | wc
      0       0       0
shows the man page does not have any useful content.
Comment 1 Fedora Update System 2013-07-07 15:38:28 EDT
thinkfan-0.8.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/thinkfan-0.8.1-3.fc18
Comment 2 Fedora Update System 2013-07-07 15:52:17 EDT
thinkfan-0.8.1-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/thinkfan-0.8.1-4.fc19
Comment 3 Fedora Update System 2013-07-08 21:36:28 EDT
Package thinkfan-0.8.1-4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing thinkfan-0.8.1-4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12611/thinkfan-0.8.1-4.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-18 01:45:52 EDT
thinkfan-0.8.1-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-07-18 01:50:52 EDT
thinkfan-0.8.1-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.